Name:           httrack
Version:        3.48.19
Release:        3%{?dist}
Summary:        Website copier and offline browser
License:        GPLv2+
URL:            http://www.httrack.com
Source0:        http://mirror.httrack.com/%{name}-%{version}.tar.gz
BuildRequires:  desktop-file-utils
BuildRequires:  libtool
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
Requires:       hicolor-icon-theme
Requires:       xdg-utils

%description
HTTrack is a free and easy-to-use offline browser utility. It allows the user 
to download a World Wide Web site from the Internet to a local directory, 
building recursively all directories, getting HTML, images, and other files 
from the server to your computer. HTTrack arranges the original site's 
relative link-structure. HTTrack can also update an existing mirrored site, 
and resume interrupted downloads. HTTrack is fully configurable, and has an 
integrated help system.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       openssl-devel%{?_isa}

%description    devel
This package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q

# Suppress rpmlint error.
iconv --from-code ISO8859-1 --to-code UTF-8 ./html/contact.html \
  --output contact.utf-8 && mv contact.utf-8 ./html/contact.html

%build
%configure --disable-static --disable-online-unit-tests
# Remove rpaths.
rm -f ./libtool
cp %{_bindir}/libtool .

# Omit unused direct shared library dependencies.
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build

%install
%make_install

find %{buildroot} -type f -name "*.*a" -delete -print

# Remove unnecessary dynamic libraries from %%{_libdir}/httrack.
rm -frv %{buildroot}%{_libdir}/%{name}

# Use %%doc instead.
rm -frv %{buildroot}%{_docdir}/%{name}

# Move libtest and templates from %%{_datadir}/httrack to RPM_BUILD_DIR.
# To be later listed against %%doc.
rm -rf ./libtest ./templates
mv %{buildroot}%{_datadir}/%{name}/libtest .
mv %{buildroot}%{_datadir}/%{name}/templates .

# We need to have a copy of html in %%{_datadir}/httrack.
# The other is to be listed against %%doc.
rm -rf ./html
cp -ar %{buildroot}%{_datadir}/%{name}/html .

desktop-file-install --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/WebHTTrack.desktop

desktop-file-install --delete-original \
  --dir %{buildroot}%{_datadir}/applications \
  %{buildroot}%{_datadir}/applications/WebHTTrack-Websites.desktop

%check
make -C tests/ check

%pretrans
if [ $1 = 0 ]; then
	# workaround rpm bug (replacing directory with symlink fails)
	[ ! -h %{_datadir}/%{name}/html -a -d %{_datadir}/%{name}/html ] && \
		rm -rf %{_datadir}/%{name}/html
	exit 0
fi

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%doc AUTHORS COPYING README *.txt
%doc html %{name}-doc.html templates
%{_bindir}/htsserver
%{_bindir}/%{name}
%{_bindir}/proxytrack
%{_bindir}/webhttrack
%{_datadir}/applications/*WebHTTrack.desktop
%{_datadir}/applications/*WebHTTrack-Websites.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/pixmaps/%{name}*x*.xpm
%{_datadir}/%{name}/
%{_libdir}/libhtsjava.so.*
%{_libdir}/libhttrack.so.*
%{_mandir}/man1/htsserver.1*
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/proxytrack.1*
%{_mandir}/man1/webhttrack.1*

%files devel
%doc libtest/
%{_includedir}/%{name}/
%{_libdir}/libhtsjava.so
%{_libdir}/libhttrack.so

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.48.19-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Aug 08 2014 Christopher Meng <rpm@cicku.me> - 3.48.19-2
- Fix -devel package dependency(missing openssl-devel)

* Sun Aug 03 2014 Christopher Meng <rpm@cicku.me> - 3.48.19-1
- Update to 3.48.19
- Fix a rare over-optimization bug.

* Mon Jul 21 2014 Christopher Meng <rpm@cicku.me> - 3.48.18-1
- Update to 3.48.18
- Add missing config.h back

* Fri Jul 11 2014 Christopher Meng <rpm@cicku.me> - 3.48.17-1
- Update to 3.48.17

* Fri Jun 13 2014 Christopher Meng <rpm@cicku.me> - 3.48.13-1
- Update to 3.48.13

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.48.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri May 23 2014 Christopher Meng <rpm@cicku.me> - 3.48.9-1
- Update to 3.48.9

* Wed Apr 16 2014 Christopher Meng <rpm@cicku.me> - 3.48.3-1
- Update to 3.48.3

* Tue Sep 24 2013 Christopher Meng <rpm@cicku.me> - 3.47.27-1
- Update to 3.47.27(BZ#1008374).
- Fix bug due to symlinks and dirs conflicts bug of RPM.

* Fri Sep 13 2013 Christopher Meng <rpm@cicku.me> - 3.47.26-2
- Fix dlopen requires.
- Cleanup scriptlets.

* Thu Sep 12 2013 Christopher Meng <rpm@cicku.me> - 3.47.26-1
- Update to 3.47.26

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.43.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Apr 24 2013 Jon Ciesla <limburgher@gmail.com> - 3.43.9-7
- Drop desktop vendor tag.

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.43.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.43.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.43.9-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.43.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jun  7 2010 Tomas Mraz <tmraz@redhat.com> - 3.43.9-2
- Use libssl soname for openssl dlopen and dependency

* Mon Mar 22 2010 Debarshi Ray <rishi@fedoraproject.org> - 3.43.9-1
- Version bump to 3.42.93. (Red Hat Bugzilla #512420)
  * Fixed: application/xhtml+xml not seen as "html"
  * Fixed: URL encoding bugs with filenames containing '%' characters
  * Fixed: Flash link extraction has been improved
  * Fixed: "Open error when decompressing" errors due to temporary file
    generation problems
  * Fixed: code tag handling bug in certain cases leading to produce invalid
    links
  * Fixed: horrible SSL slowdowns due to bogus select() calls
  * Fixed: Konqueror fixes
  * Updated: Portugues-Brasil language file
- Updated the openssl patch to consume newer sonames.

* Tue Sep 01 2009 Jesse Keating <jkeating@redhat.com> - 3.43.2-5
- Bumped to consume new openssl soname.

* Fri Jul 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 3.43.2-4
- Autorebuild for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Mar 31 2009 Tom "spot" Callaway <tcallawa@redhat.com> - 3.43.2-3
- Updated 'Requires: openssl = 0.9.8k'

* Tue Feb 24 2009 Release Engineering <rel-eng@fedoraproject.org> - 3.43.2-2
- Autorebuild for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan 20 2009 Debarshi Ray <rishi@fedoraproject.org> - 3.43.2-1
- Version bump to 3.43.2. (Red Hat Bugzilla #476110)
- Updated 'Requires: openssl = 0.9.8j' and fixed the sources for Rawhide.

* Tue Sep 09 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.42.93-1
- Version bump to 3.42.93. (Red Hat Bugzilla #457523 (CVE-2008-3429), #460529)
- Use of generic macros in the publicly exposed API fixed by upstream.
- Use of xdg-open now added by upstream.
- OpenSSL version updated by upstream.
- Linkage issues in libhtsjava.so fixed by upstream.

* Thu Feb 21 2008 Debarshi Ray <rishi@fedoraproject.org> - 3.42-10
- Fixed runtime problems with --excludedocs.
- Omitted unused direct shared library dependencies.

* Tue Feb 19 2008 Release Engineering <rel-eng@fedoraproject.org> - 3.42-9
- Autorebuild for gcc-4.3.

* Thu Dec 13 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.42-8
- Added 'BuildRequires: chrpath' for removing rpaths.

* Sun Dec 09 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.42-7
- Updated 'Requires: openssl = 0.9.8g' and fixed the sources for Rawhide.

* Fri Dec 07 2007 Release Engineering <rel-eng@fedoraproject.org> - 3.42-6
- Rebuild for deps.

* Tue Nov 27 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.42-4
- Removed Encoding from Desktop Entry for all distributions, except Fedora 7.

* Fri Nov 23 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.42-3
- Mentioned openssl version explicitly as 0.9.8b.

* Fri Nov 23 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.42-2
- Fixed undefined non-weak symbols and unused direct shared library
  dependencies in libhtsjava.so.2.
- Fixed location of some documentation files.

* Sun Nov 18 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.42-1
- Version bump to 3.42.
- Fixed header files to not use generic headers and macros in the publicly
  exposed API.
- Removed Encoding from Desktop Entry.

* Mon Nov 12 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.41.3-2
- Added 'Requires: openssl' and fixed the sources.
- Added 'Requires: xdg-utils' and fixed the sources.
- Removed 'Requires: openssl-devel' from -devel.
- Removed unnecessary dynamic libraries.

* Mon Oct 29 2007 Debarshi Ray <rishi@fedoraproject.org> - 3.41.3-1
- Initial build. Imported SPEC written by Yves Cluckers.
- Disabled parallel make to prevent failure with -j3.
- Changed character encodings from ISO8859-1 to UTF-8.
- Fixed .desktop files to comply with http://www.freedesktop.org/standards/.
